Product comparison · 2 wired routers

ASUS ExpertWiFi EBG19P vs TP-Link TD-W9970B wired router Fast Ethernet White

Add a product
  • 26specifications compared
  • 15differ
  • 11identical
  • 64known for one product only

Key differences

The ASUS ExpertWiFi EBG19P has 4 more Ethernet LAN (RJ-45) ports than the TP-Link TD-W9970B wired router Fast Ethernet White (8 vs 4). The TP-Link TD-W9970B wired router Fast Ethernet White has 1 more antennas quantity than the ASUS ExpertWiFi EBG19P (2 vs 1). The ASUS ExpertWiFi EBG19P has 42 V more output voltage than the TP-Link TD-W9970B wired router Fast Ethernet White (54 V vs 12 V). Ethernet interface type: Gigabit Ethernet on the ASUS ExpertWiFi EBG19P, Fast Ethernet on the TP-Link TD-W9970B wired router Fast Ethernet White. USB version: 3.2 Gen 1 (3.1 Gen 1) on the ASUS ExpertWiFi EBG19P, 2.0 on the TP-Link TD-W9970B wired router Fast Ethernet White.

  • Ethernet interface type
    • ExpertWiFi EBG19P:Gigabit Ethernet
    • TD-W9970B wired router Fast Ethernet White:Fast Ethernet
  • Ethernet LAN (RJ-45) ports
    • ExpertWiFi EBG19P:8
    • TD-W9970B wired router Fast Ethernet White:4
  • USB version
    • ExpertWiFi EBG19P:3.2 Gen 1 (3.1 Gen 1)
    • TD-W9970B wired router Fast Ethernet White:2.0
  • Cables included
    • ExpertWiFi EBG19P:LAN (RJ-45)
    • TD-W9970B wired router Fast Ethernet White:LAN (RJ-45), Phone (RJ-11)
  • Antenna type
    • ExpertWiFi EBG19P:Internal
    • TD-W9970B wired router Fast Ethernet White:External
  • Antennas quantity
    • ExpertWiFi EBG19P:1
    • TD-W9970B wired router Fast Ethernet White:2
  • Output voltage
    • ExpertWiFi EBG19P:54 V
    • TD-W9970B wired router Fast Ethernet White:12 V
  • Output current
    • ExpertWiFi EBG19P:2.278 A
    • TD-W9970B wired router Fast Ethernet White:1 A

Side by side

Differences highlightedShow differences only (on)
Comparison of ExpertWiFi EBG19P, TD-W9970B
90 specifications
WAN connectionidentical
SIM card slotKnown for oneNoUnknown — not stated by the source
3G/4G USB modem compatibilityKnown for oneYesUnknown — not stated by the source
DSL WANKnown for oneUnknown — not stated by the sourceYes
Network2 differ
Networking standardsDiffersIEEE 802.1Q, IEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3i, IEEE 802.3u, IEEE 802.3xIEEE 802.11b, IEEE 802.11g, IEEE 802.11n
Ethernet interface typeDiffersGigabit EthernetFast Ethernet
Static routeKnown for oneYesUnknown — not stated by the source
VLAN supportKnown for oneYesUnknown — not stated by the source
Traffic controlKnown for oneYesUnknown — not stated by the source
Port forwardingKnown for oneYesUnknown — not stated by the source
Ethernet LANKnown for oneUnknown — not stated by the sourceYes
Cabling technologyKnown for oneUnknown — not stated by the source10/100Base-T(X)
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source10,100 Mbit/s
Frequency rangeKnown for oneUnknown — not stated by the source2.4
Signal strengthKnown for oneUnknown — not stated by the source20 dBm
Mobile networkidentical
Mobile network generationKnown for one5GUnknown — not stated by the source
4G standardKnown for oneLTEUnknown — not stated by the source
Management featuresidentical
Wake-on-LAN readyKnown for oneYesUnknown — not stated by the source
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Universal Plug and Play (UPnP)Known for oneUnknown — not stated by the sourceYes
Ports & interfaces2 differ
Ethernet LAN (RJ-45) portsDiffers84
WAN/Ethernet LAN ports quantityKnown for one2Unknown — not stated by the source
WAN ports quantityKnown for one1Unknown — not stated by the source
USB versionDiffers3.2 Gen 1 (3.1 Gen 1)2.0
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
Protocolsidentical
DHCP clientKnown for oneUnknown — not stated by the sourceYes
Routing protocolsKnown for oneUnknown — not stated by the sourceRIP-1, RIP-2
Management protocolsKnown for oneUnknown — not stated by the sourceHTTP, SNMP V1/V2C, CWMP(TR-069)
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVC
Security3 differ
Security algorithmsDiffersIPSec, SSH64-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Firewall securityDiffersMaximum Firewall Keyword Filter :64 • Maximum Firewall Network Service Filter :32 • Maximum Firewall URL Filter : 64Network address translation (NAT) firewall, Stateful packet inspection (SPI) firewall
Access Control List (ACL)Known for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
VPN supportDiffersVPN Client L2PT VPN Client Open VPN VPN Client PPTP VPN Client WireGuard VPN Server IPSec VPN Server Open VPN VPN Server PPTP VPN Server WireGuard VPN Fusion Support SurfsharkPPTP, L2TP, IPSec Pass-through
NAT functionalityKnown for onePPTP Pass-Through • L2TP Pass-Through • IPSec Pass-Through • RTSP Pass-Through • H.323 Pass-Through • PPPoE RelayUnknown — not stated by the source
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
IP address filteringKnown for oneUnknown — not stated by the sourceYes
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
Packaging content1 differ
Cables includedDiffersLAN (RJ-45)LAN (RJ-45), Phone (RJ-11)
Quick start guideKnown for oneYesUnknown — not stated by the source
Quick installation guideKnown for oneUnknown — not stated by the sourceYes
Featuresidentical
Built-in processorKnown for oneYesUnknown — not stated by the source
Processor manufacturerKnown for oneARMUnknown — not stated by the source
Processor modelKnown for oneARMv8Unknown — not stated by the source
Processor frequencyKnown for one1800 MHzUnknown — not stated by the source
Flash memoryKnown for one256 MBUnknown — not stated by the source
Internal memoryKnown for one512 MBUnknown — not stated by the source
Windows operating systems supportedKnown for oneUnknown — not stated by the sourceWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 H
Mac operating systems supportedKnown for oneUnknown — not stated by the sourceYes
Linux operating systems supportedKnown for oneUnknown — not stated by the sourceYes
CertificationKnown for oneUnknown — not stated by the sourceCE, RoHS
Designidentical
LED indicatorsKnown for onePower, USBUnknown — not stated by the source
On/off switchKnown for oneUnknown — not stated by the sourceYes
Antenna2 differ
Antenna typeDiffersInternalExternal
Antennas quantityDiffers12
Antenna gain level (max)Known for oneUnknown — not stated by the source5 dBi
Power2 differ
Power consumption (typical)Known for one123 WUnknown — not stated by the source
AC input voltageKnown for one110 - 240 VUnknown — not stated by the source
AC input frequencyKnown for one50/60 HzUnknown — not stated by the source
Output voltageDiffers54 V12 V
Output currentDiffers2.278 A1 A
Power over Ethernet (PoE)Known for oneYesUnknown — not stated by the source
Power source typeKnown for oneUnknown — not stated by the sourceDC
Weight & dimensions3 differ
WidthDiffers212 mm195 mm
DepthDiffers95 mm130 mm
HeightDiffers26 mm36 mm
WeightKnown for one530 gUnknown — not stated by the source
Packaging dataidentical
Package widthKnown for one281 mmUnknown — not stated by the source
Package depthKnown for one194 mmUnknown — not stated by the source
Package heightKnown for one94 mmUnknown — not stated by the source
Package weightKnown for one1.9 kgUnknown — not stated by the source
Package typeKnown for oneBoxUnknown — not stated by the source
DSL featuresidentical
VDSL2Known for oneUnknown — not stated by the sourceYes
Operational conditionsidentical
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Other featuresidentical
Supported WAN typeKnown for oneUnknown — not stated by the sourceEWAN

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons